import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';

import { FlexLayoutModule } from '@angular/flex-layout';

import { CallComponent } from './components/call.component';
import { DeviceComponent } from './components/device.component';
import { GeneralComponent } from './components/general.component';
import { NotificationComponent } from './components/notification.component';
import { PermissionComponent } from './components/permission.component';
import { PrivacyComponent } from './components/privacy.component';

const COMPONENTS = [
  CallComponent,
  DeviceComponent,
  GeneralComponent,
  NotificationComponent,
  PermissionComponent,
  PrivacyComponent
];
const SERVICES = [];

@NgModule({
  imports: [CommonModule, ReactiveFormsModule, FlexLayoutModule],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS]
})
export class UCapUiSettingsModule {
  public static forRoot(): ModuleWithProviders<UCapUiSettingsModule> {
    return {
      ngModule: UCapUiSettingsModule,
      providers: [...SERVICES]
    };
  }
}
